#!/bin/bash


#DiffAugment + VggPrior
CUDA_VISIBLE_DEVICES=1 nohup python3 -u train_diffaug.py --DiffAugment translation,cutout,color --CR 10 --mirror_augment --dataset Face --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 512 --prior VggPrior --experiment_name DiffAugment-cr-sngan-Face-vggprior > run_logs/logs_DiffAugment-cr-sngan-Face-vggprior.txt & 


#DiffAugment + Resnet50x1Prior
CUDA_VISIBLE_DEVICES=6 nohup python3 -u train_diffaug.py --DiffAugment translation,cutout,color --CR 10 --mirror_augment --dataset Face --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 2048 --prior Resnet50x1Prior --experiment_name DiffAugment-cr-sngan-Face-simclrprior > run_logs/logs_DiffAugment-cr-sngan-Face-simclrprior.txt & 



#FreezeD + VggPrior
CUDA_VISIBLE_DEVICES=7 nohup python3 -u train_diffaug.py --dataset Face --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 512 --prior VggPrior --resume --freezeD  --experiment_name freezed-sngan-Face-vggprior > run_logs/logs_freezed-sngan-Face-vggprior.txt & 


#FreezeD + Resnet50x1Prior
CUDA_VISIBLE_DEVICES=5 nohup python3 -u train_diffaug.py --dataset Face --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 2048 --prior Resnet50x1Prior --resume --freezeD --experiment_name freezed-sngan-Face-simclrprior > run_logs/logs_freezed-sngan-Face-simclrprior.txt & 




#TransferGAN + VggPrior
CUDA_VISIBLE_DEVICES=7 nohup python3 -u train_diffaug.py --dataset Face --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 512 --prior VggPrior --resume --experiment_name transfergan-sngan-Face-vggprior > run_logs/logs_transfergan-sngan-Face-vggprior.txt & 


#TransferGAN + Resnet50x1Prior
CUDA_VISIBLE_DEVICES=5 nohup python3 -u train_diffaug.py --dataset Face --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 2048 --prior Resnet50x1Prior --resume --experiment_name transfergan-sngan-Face-simclrprior > run_logs/logs_transfergan-sngan-Face-simclrprior.txt & 