#!/bin/bash


filename="fid.txt"
gpuid=1

echo "anime" > $filename

echo "Diffaugment"  >> $filename
#DiffAugment + VggPrior
CUDA_VISIBLE_DEVICES=$gpuid python3 sample.py --DiffAugment translation,cutout,color --CR 10 --mirror_augment --dataset Anime --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 512 --prior VggStylePrior --sample_npz --sample_num_npz 10000 --load_weights best0  --experiment_name DiffAugment-cr-sngan-anime-vggprior

CUDA_VISIBLE_DEVICES=$gpuid python3 inception_tf13.py --experiment_name DiffAugment-cr-sngan-anime-vggprior --samples 10000

CUDA_VISIBLE_DEVICES=$gpuid python3 fid_tf13.py --experiment_name DiffAugment-cr-sngan-anime-vggprior --test >> $filename



# #DiffAugment + Resnet50x1Prior
# CUDA_VISIBLE_DEVICES=6 python3 sample.py --DiffAugment translation,cutout,color --CR 10 --mirror_augment --dataset Anime --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 2048 --prior Resnet50x1StylePrior --sample_npz --sample_num_npz 10000 --load_weights best0  --experiment_name DiffAugment-cr-sngan-anime-simclrprior 

# CUDA_VISIBLE_DEVICES=$gpuid python3 inception_tf13.py --experiment_name DiffAugment-cr-sngan-anime-simclrprior  --samples 10000

# CUDA_VISIBLE_DEVICES=$gpuid python3 fid_tf13.py --experiment_name DiffAugment-cr-sngan-anime-simclrprior  --test >> $filename



# echo "FreezeD"  >> $filename
# #FreezeD + VggPrior
# CUDA_VISIBLE_DEVICES=7 python3 sample.py --dataset Anime --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 512 --prior VggStylePrior --resume --freezeD  --sample_npz --sample_num_npz 10000 --load_weights best0  --experiment_name freezed-sngan-anime-vggprior 

# CUDA_VISIBLE_DEVICES=$gpuid python3 inception_tf13.py --experiment_name freezed-sngan-anime-vggprior  --samples 10000

# CUDA_VISIBLE_DEVICES=$gpuid python3 fid_tf13.py --experiment_name freezed-sngan-anime-vggprior  --test >> $filename




# #FreezeD + Resnet50x1Prior
# CUDA_VISIBLE_DEVICES=5 python3 sample.py --dataset Anime --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 2048 --prior Resnet50x1StylePrior --resume --freezeD --sample_npz --sample_num_npz 10000 --load_weights best0  --experiment_name freezed-sngan-anime-simclrprior 


# CUDA_VISIBLE_DEVICES=$gpuid python3 inception_tf13.py --experiment_name freezed-sngan-anime-simclrprior  --samples 10000

# CUDA_VISIBLE_DEVICES=$gpuid python3 fid_tf13.py --experiment_name freezed-sngan-anime-simclrprior  --test >> $filename





# echo "TransferGAN"  >> $filename
# #TransferGAN + VggPrior
# CUDA_VISIBLE_DEVICES=7 python3 sample.py --dataset Anime --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 512 --prior VggStylePrior --resume --sample_npz --sample_num_npz 10000 --load_weights best0  --experiment_name transfergan-sngan-anime-vggprior 

# CUDA_VISIBLE_DEVICES=$gpuid python3 inception_tf13.py --experiment_name transfergan-sngan-anime-vggprior  --samples 10000

# CUDA_VISIBLE_DEVICES=$gpuid python3 fid_tf13.py --experiment_name transfergan-sngan-anime-vggprior --test >> $filename




# #TransferGAN + Resnet50x1Prior
# CUDA_VISIBLE_DEVICES=5 python3 sample.py --dataset Anime --parallel --shuffle  --num_workers 4 --batch_size 25 --load_in_mem  --num_G_accumulations 1 --num_D_accumulations 1 --num_D_steps 4 --G_lr 2e-4 --D_lr 2e-4 --SN_eps 1e-4 --BN_eps 1e-5 --adam_eps 1e-6 --G_ortho 0.0 --G_init ortho --D_init ortho --G_eval_mode --G_ch 64 --D_ch 64 --D_thin --test_every 100 --save_every 100 --num_best_copies 5 --num_save_copies 2 --seed 0  --model SNGANDiffAug --num_inception_images 1000 --num_epochs 30000 --ema --use_ema --ema_start 5000 --G_attn 0 --D_attn 0 --hier --G_shared --which_train_fn PriorGAN --dim_z 120 --shared_dim 128 --prior_dim 2048 --prior Resnet50x1StylePrior --resume --sample_npz --sample_num_npz 10000 --load_weights best0  --experiment_name transfergan-sngan-anime-simclrprior 

# CUDA_VISIBLE_DEVICES=$gpuid python3 inception_tf13.py --experiment_name transfergan-sngan-anime-simclrprior  --samples 10000

# CUDA_VISIBLE_DEVICES=$gpuid python3 fid_tf13.py --experiment_name transfergan-sngan-anime-simclrprior --test >> $filename

